package com.example.julian.endlessroll.entities.tools;

import com.example.julian.endlessroll.R;

/**
 * Created by Julian on 16.07.2016.
 */
public class ToolSlot {

    private ToolType toolType;
    private boolean locked;

    public ToolSlot(ToolType toolType, boolean locked){
        this.toolType = toolType;
        this.locked = locked;
    }

    public ToolType getToolType() {
        return toolType;
    }

    public int getDrawable(){
        if(locked)
            return R.drawable.lockedbutton;
        else
            return toolType.getButtonDrawable();
    }

    public void setToolType(ToolType toolType) {
        this.toolType = toolType;
    }

    public boolean isLocked() {
        return locked;
    }

    public void setLocked(boolean locked) {
        this.locked = locked;
    }
}
