package com.example.julian.endlessroll.entities;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.entities.textures.Texture;
import com.example.julian.endlessroll.levels.StarData;

public class Star extends Entity {

	private int index;

	public Star(Texture texture, StarData starData) {
		super(texture, new Vector(starData.getX(), starData.getY()), starData.getWidth(), starData.getHeight());
		this.index = starData.getIndex();
	}

	public int getIndex() {
		return index;
	}
}
