package com.example.julian.endlessroll.entities.collision.collisionData;

/**
 * Created by Julian on 05.12.2015.
 */
public class PlayerCollisionData {

    private EntityCollisionData terrainCollision;
    private ObstacleCollisionData obstacleCollision;
    private ToolCollisionData toolCollision;
    private EntityCollisionData starCollision;

    public PlayerCollisionData(EntityCollisionData terrainCollision, ObstacleCollisionData obstacleCollision, ToolCollisionData toolCollision, EntityCollisionData starCollision) {
        this.terrainCollision = terrainCollision;
        this.obstacleCollision = obstacleCollision;
        this.toolCollision = toolCollision;
        this.starCollision = starCollision;
    }

    public boolean isTerrainCollision() {
        return terrainCollision.isCollision();
    }

    public EntityCollisionData getTerrainCollisionData() {
        return terrainCollision;
    }

    public boolean isObstacleCollision() {
        return obstacleCollision.isCollision();
    }

    public ObstacleCollisionData getObstacleCollisionData() {
        return obstacleCollision;
    }

    public boolean isToolCollision() {
        return toolCollision.isCollision();
    }

    public ToolCollisionData getToolCollisionData() {
        return toolCollision;
    }

    public boolean isStarCollision() {
        return starCollision.isCollision();
    }

    public EntityCollisionData getStarCollisionData() {
        return starCollision;
    }
}
