package com.example.julian.endlessroll.levels;

import org.simpleframework.xml.Attribute;

/**
 * Created by Julian on 07.12.2015.
 */
public class ObstacleData {

    @Attribute
    private String type;
    @Attribute
    private float leftEdge;
    @Attribute
    private float rightEdge;
    @Attribute
    private float height;
    @Attribute
    private float y;
    @Attribute
    public boolean attachedToGround;

    public String getType() {
        return type;
    }

    public float getX() {
        return leftEdge + getWidth() / 2;
    }

    public float getWidth() {
        return rightEdge - leftEdge;
    }

    public float getHeight() {
        return height;
    }

    public float getY() {
        return y;
    }

    public boolean isAttachedToGround() {
        return attachedToGround;
    }
}
