package com.example.julian.endlessroll.main.game;

import com.example.julian.endlessroll.entities.Entity;
import com.example.julian.endlessroll.entities.particles.ParticleSystem;
import com.example.julian.endlessroll.entities.textures.TexturePack;

public class StartScene extends Scene {

    public StartScene(TexturePack texturePack, ParticleSystem particleSystem) {
        super(texturePack, particleSystem);
        terrain.createEndless(-.8f);
        player.init(terrain.getHeight());
        super.add(player);
    }

    @Override
    protected void removeEntityFromAllLists(Entity entity) {
    }
}